Bug 645591 - update to 5.3.3
update to 5.3.3
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: php (Show other bugs)
All Unspecified
low Severity high
: rc
: ---
Assigned To: Joe Orton
BaseOS QE - Apps
: FutureFeature, Rebase
Depends On:
Blocks: 658315
  Show dependency treegraph
Reported: 2010-10-21 17:46 EDT by Tomasz Ostrowski
Modified: 2011-05-19 09:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
see http://www.php.net/archive/2010.php#id2010-07-22-2
Story Points: ---
Clone Of:
: 658315 (view as bug list)
Last Closed: 2011-05-19 09:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomasz Ostrowski 2010-10-21 17:46:16 EDT
Description of problem:
php short_open_tag is set to off in default /etc/php.ini when installed on RHEL6beta2, contrary to documentation on php.net (http://pl.php.net/manual/en/ini.core.php), comments of php.ini and without any mention in RHEL 6 Release Notes. It was on by default in RHEL5/CentOS5 so it will break upgrades.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum -y install php httpd wget
2. service httpd start
3. echo '<? phpinfo(); ?>' >> /var/www/html/index.php
4. wget -o /dev/null -O - http://localhost/

Actual results:
<? phpinfo(); ?>

Expected results:
Generated phpinfo page.

Additional info:

Also I'd suggest update to php 5.3.3, as it introduced a backwards incompatible change (incompatible only with php 5.3.0, 5.3.1 and 5.3.2), which will complicate future support if it won't end up in RHEL6:
Comment 2 Joe Orton 2010-10-22 03:36:35 EDT
Thanks for the report.

Though I can certainly see the confusion, the "defaults" referred to in both the referenced documentation and php.ini describethe hard-coded defaults in the php binary - in other words, what setting would take effect if php.ini was absent.  The php.ini default used here is exactly as per the upstream recommended "production" configuration for 5.3.2.  (php.ini is little changed from upstream)

This change should indeed have been mentioned in the release notes, I'm sorry this was missed.

We can use this bug to track the request for an update for 5.3.3.
Comment 6 Aliet 2010-11-21 12:10:20 EST
Making focus on the update/rebase to php-5.3.3, it would be great tu support this version, specially for incompatible change wich will be make future migrations difficult:


we have been waitting rhel6 for our web hosting clluster, but we prefer to use redhat packages, in other way we will have to be using third party repos, thing that we don't like, just let know if a ticket in the redhat customer portal will increase priority in this.
rhel6 will be running for a while, is better to have latest php now, if don't  rhel6 php package will start aging very quickly in festures...
best regards
Comment 10 Daniel Riek 2010-11-30 11:14:01 EST
NOTE: Bugzilla is not a support tool

The Bugzilla interface at bugzilla.redhat.com is used internally by Red
Hat to process changes e.g. to Red Hat Enterprise Linux and related
products, as well as by the Fedora Community to develop the Fedora

It is publicly available and everyone with an email address is able to
create an account, file bugs, comment on bugs she or he has access to.
Not all bugs are public though and not all issues filed are handled in
the same way: it makes a huge difference who is behind a bug.

Red Hat does monitor Bugzilla entries, and it does review them for
inclusion in errata, etc.

Nevertheless, as noted on the login page, Bugzilla is not a Support
tool. It is an Engineering tool. It is used by Red Hat Engineering to
track issues and product changes, as well as to interact with Egineering
partners and other parties external to Red Hat on a technical level.

So while all changes to Red Hat Enterprise Linux will at a point go
through Bugzilla, this difference has a number of important consequences
for general product issues filed directly through Bugzilla by external
users without any privileged Engineering relationship:

    * Red Hat does NOT guarantee any response time or Service Level
Agreement (SLA) for Bugzilla entries. - A review might happen
immediately or after a time span of any length. The SLAs for Red Hat
Enterprise Linux provided by Red Hat Support can be found at:

    * Not all comments are publicly visible. - Red Hat Support provides
customers with appropriate information excerpts and status updates from
that. Red Hat does not commit to provide detailed explanations, or
guidance in the context of Bugzilla. Therefore for example, Bugzilla
entries might be closed as it seems without any further explanation,
while Red Hat Support actually provides such explanation to customers
filing through the regular support channels.

    * Issues coming through the regular support process, will always be
prioritized higher than issues of similar impact and severity that are
being filed directly through Bugzilla (unless the later get linked to
customer support tickets). This means that they are more likely to be 
addressed and they are more likely to meet inclusion criteria 
consistent with the Red Hat Enterprise Linux life cycle policy:

    * Work-arounds and Hotfixes if possible and appropriate are provided
by Red Hat Support and through the regular support process. - This means
that even before a permanent fix is made available through RHN, customers
who raised a high severity issue through Red Hat Support, are likely to
receive an interim solution.

Red Hat provides common Bugzilla access in order provide efficient
development community interaction and as much transparency as possible
to our customers. Our Engineers are encouraged to provide non-customer
specific and non-confidential information publicly as often as possible.

So while Red Hat considers issues directly entered into Bugzilla
valuable feedback - may it be as comments to existing Bugzilla entries
or by opening a new one; for customers encountering production issues,
Bugzilla is not the right channel.

Therefore we ask our customers to file requests important for their
production systems via our Support service. Only for those issues, we
can ensure a consistent communication. Information about our production
support process can be found at: http://www.redhat.com/support/process/

Bugzilla can always be used as a supportive channel to that

Note: If your customer is participating in the Academic program and has
chosen to run a Subscription without support, they consequently have no
access to Red Hat Support and thus no SLA. If you feel that this is
insufficient for your use case, you should consider contacting the Red
Hat Education specialist as described at:
Comment 12 Mike Khusid 2010-12-01 10:06:22 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    New Contents:
see http://www.php.net/archive/2010.php#id2010-07-22-2
Comment 17 errata-xmlrpc 2011-05-19 09:41:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.